Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.cli.fork.testing
[Groovy] Class TestExecutionContext

    java.lang.Object
      org.codehaus.groovy.grails.cli.fork.ExecutionContext
          org.codehaus.groovy.grails.cli.fork.testing.TestExecutionContext

    @groovy.transform.CompileStatic
    class TestExecutionContext
    extends ExecutionContext

Constructor Summary
`TestExecutionContext(ForkedGrailsProcess process)`
`TestExecutionContext()`

Method Summary
`protected java.util.List` | `buildMinimalIsolatedClasspath(BuildSettings buildSettings)`

Methods inherited from class ExecutionContext
buildMinimalIsolatedClasspath, initialize

Methods inherited from class java.lang.Object
java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Constructor Detail

### TestExecutionContext

    TestExecutionContext(ForkedGrailsProcess process)

### TestExecutionContext

    TestExecutionContext()

Method Detail

### buildMinimalIsolatedClasspath

    @java.lang.Override
    protected java.util.List buildMinimalIsolatedClasspath(BuildSettings buildSettings)

Groovy Documentation